org.eclipse.viatra.dse.statecoding

## Class StatecodingNode

- java.lang.Object
- - org.eclipse.viatra.dse.statecoding.StatecodingNode

-     public class StatecodingNode
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatecodingNode(org.eclipse.emf.ecore.EClass clazz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDependency(StatecodingDependency statecodingDependency)`
    `java.util.Set<org.eclipse.emf.ecore.EAttribute>` | `getAttributes()`
    `org.eclipse.emf.ecore.EClass` | `getClazz()`
    `StatecodingDependencyGraph` | `getGraph()`
    `java.util.List<StatecodingDependency>` | `getStatecodingDependencies()`
    `StatecodingNodeType` | `getStatecodingNodeType()`
    `boolean` | `isStateCodeIsId()`
    `void` | `setGraph(StatecodingDependencyGraph graph)`
    `void` | `setStateCodeIsId(boolean stateCodeIsId)`
    `void` | `setStatecodingNodeType(StatecodingNodeType statecodingNodeType)`
    `StatecodingNode` | `withAttribute(org.eclipse.emf.ecore.EAttribute attribute)`
    `StatecodingNode` | `withDependency(org.eclipse.emf.ecore.EReference reference, StatecodingNode node)`
    `StatecodingNode` | `withInverseDependency(org.eclipse.emf.ecore.EReference reference, StatecodingNode node)`
    `StatecodingNode` | `withType(StatecodingNodeType type)`
    `StatecodingNode` | `withUniqueness()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatecodingNode

          public StatecodingNode(org.eclipse.emf.ecore.EClass clazz)

  - ### Method Detail

    - #### withAttribute

          public StatecodingNode withAttribute(org.eclipse.emf.ecore.EAttribute attribute)

    - #### withType

          public StatecodingNode withType(StatecodingNodeType type)

    - #### withUniqueness

          public StatecodingNode withUniqueness()

    - #### withDependency

          public StatecodingNode withDependency(org.eclipse.emf.ecore.EReference reference,
                                                StatecodingNode node)

    - #### withInverseDependency

          public StatecodingNode withInverseDependency(org.eclipse.emf.ecore.EReference reference,
                                                       StatecodingNode node)

    - #### addDependency

          public void addDependency(StatecodingDependency statecodingDependency)

    - #### getClazz

          public org.eclipse.emf.ecore.EClass getClazz()

    - #### isStateCodeIsId

          public boolean isStateCodeIsId()

    - #### setStateCodeIsId

          public void setStateCodeIsId(boolean stateCodeIsId)

    - #### getStatecodingNodeType

          public StatecodingNodeType getStatecodingNodeType()

    - #### setStatecodingNodeType

          public void setStatecodingNodeType(StatecodingNodeType statecodingNodeType)

    - #### getAttributes

          public java.util.Set<org.eclipse.emf.ecore.EAttribute> getAttributes()

    - #### getStatecodingDependencies

          public java.util.List<StatecodingDependency> getStatecodingDependencies()

    - #### getGraph

          public StatecodingDependencyGraph getGraph()

    - #### setGraph

          public void setGraph(StatecodingDependencyGraph graph)